> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Paxos Position

> Reads a wallet Paxos yield position via Paxos API and on-chain balances when Paxos is enabled.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-paxos-position
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-paxos-position:
    get:
      operationId: getPaxosPosition
      summary: Get Paxos Position
      description: >-
        Reads a wallet Paxos yield position via Paxos API and on-chain balances
        when Paxos is enabled.


        Not available to API keys.
      parameters:
        - name: walletAddress
          in: query
          required: true
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPaxosPositionResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPaxosPositionResponse:
      oneOf:
        - $ref: '#/components/schemas/GetPaxosPositionResponse1'
        - type: 'null'
    GetPaxosPositionResponse1:
      type: object
      properties:
        totalValue:
          type: number
        totalEarned:
          type: number
        positions:
          type: array
          items:
            type: object
            properties:
              tokenSymbol:
                type: string
              tokenName:
                type: string
              tokenAddress:
                type: string
              network:
                type: string
              chainId:
                type: number
              depositedAmount:
                type: number
              currentValue:
                type: number
              shareBalance:
                type: number
              apy:
                type: number
              yieldEarned:
                type: number
            required:
              - tokenSymbol
              - tokenName
              - tokenAddress
              - network
              - chainId
              - depositedAmount
              - currentValue
              - shareBalance
              - apy
              - yieldEarned
        pendingWithdrawals:
          type: array
          items:
            type: object
            properties:
              tokenSymbol:
                type: string
              amount:
                type: number
              deadline:
                type: number
            required:
              - tokenSymbol
              - amount
              - deadline
      required:
        - totalValue
        - totalEarned
        - positions
        - pendingWithdrawals
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
